package com.ekexiu.project.bridge.envdata;

import org.jfw.apt.orm.annotation.dao.DAO;
import org.jfw.apt.orm.annotation.dao.method.OrderBy;
import org.jfw.apt.orm.annotation.dao.method.Where;
import org.jfw.apt.orm.annotation.dao.method.operator.SelectList;
import org.jfw.apt.orm.annotation.dao.param.Alias;
import org.jfw.apt.orm.annotation.dao.param.GtEq;
import org.jfw.apt.orm.annotation.dao.param.LtEq;

import java.sql.Connection;
import java.sql.SQLException;
import java.util.List;

/**
 * Created by TT on 2019/3/8.
 */
@DAO
public interface EnvDataDao {

    @SelectList
    @Where(" CREATE_TIME = (SELECT MAX(CREATE_TIME) FROM ENV_DATA) ")
    List<EnvData> query(Connection con) throws SQLException;

    @SelectList
    @OrderBy("ORDER BY CREATE_TIME DESC")
    List<EnvData> query(Connection con, @GtEq @Alias("createTime")String bt,@LtEq @Alias("createTime") String et) throws SQLException;

}
